<?php
// Tableau des départements d'appartenance
$DEPT = array (
    'CRETEIL'    => 'Val-de-Marne',
    'NICE'       => 'Alpes-Maritimes',
    'LA BAULE'   => 'Loire-Atlantique',
    'STRASBOURG' => 'Bas-Rhin');
// affichage du tableau
echo '--- Affichage de $DEPT ---'.PHP_EOL;
foreach($DEPT as $clef => $valeur)
{
 echo "[$clef]:$valeur\t";
}
echo PHP_EOL;

echo "Entrez une clé à chercher :";
$clefrecherche=fgets(STDIN);
// suppression des espaces au début , à la fin et suppression du saut de ligne
$clefrecherche=trim($clefrecherche);
$trouve=false;
// ------------------------------
// fonction array_key_exists()
// ------------------------------
$trouve=array_key_exists($clefrecherche,$DEPT);

if ($trouve)
  echo "$clefrecherche trouvé".PHP_EOL;
else
  echo "$clefrecherche non trouvé".PHP_EOL;
?>